package storage

import (
	"errors"
	"recipes/internal/storage/minio"
	"recipes/internal/storage/postgresql"
	"recipes/internal/storage/redis"
)

var (
	ErrNotFound = errors.New("not found")
)

type Storage struct {
	db         postgresql.Database
	cache      redis.Cache
	objStorage minio.Storage
}

func New() *Storage {
	var storage *Storage

	return storage
}
